Bug 519425 - Review Request: plexus-naming - Plexus Naming Component
Summary: Review Request: plexus-naming - Plexus Naming Component
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 15:17 UTC by Andrew Overholt
Modified: 2009-08-31 18:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-31 18:58:26 UTC
jjohnstn: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2009-08-26 15:17:29 UTC
Spec URL: http://overholt.fedorapeople.org/plexus-naming.spec
SRPM URL: http://overholt.fedorapeople.org/plexus-naming-1.0-0.1.a3.fc11.src.rpm
Description:
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

Comment 1 Andrew Overholt 2009-08-26 15:33:37 UTC
I have opened this JIRA upstream to see if we can get the licensing clarified:

http://jira.codehaus.org/browse/PLXCOMP-144

Comment 2 Andrew Overholt 2009-08-26 15:35:27 UTC
Old pre-review request:  bug #500265.

Comment 3 Jeff Johnston 2009-08-26 18:20:26 UTC
rpmlint successful

Comments:

1. The Java Packaging Guideline states:

     BuildRequires and Requires

     At a minimum, Java packages MUST:

     BuildRequires: java-devel [>= specific_version] 
     BuildRequires:  jpackage-utils
    
     Requires:  java >= specific_version
     Requires:  jpackage-utils

  the spec file only has the BuildRequires: jpackage-utils

Comment 5 Andrew Overholt 2009-08-26 18:45:46 UTC
Updated .spec and .src.rpm with JDK and JRE requirement:

http://overholt.fedorapeople.org/plexus-naming.spec
http://overholt.fedorapeople.org/plexus-naming-1.0-0.3.a3.fc11.src.rpm

Comment 6 Jeff Johnston 2009-08-26 20:08:29 UTC
Approved pending the license issue and successful build.

Comment 8 Jeff Johnston 2009-08-28 19:52:22 UTC
(In reply to comment #7)
> With license fix from upstream:
> 
> http://overholt.fedorapeople.org/plexus-naming.spec
> http://overholt.fedorapeople.org/plexus-naming-1.0-0.4.a3.fc11.src.rpm  

I ran into a problem building due to the level of plexus-utils in f11 not being adequate to build the rpm.  It tries to build but the junit test fails and the build does not complete.  

Please add a release number to the BuildRequires for plexus-utils

BuildRequires: plexus-utils >= 1.4.5

since downloading the plexus-utils 1.4.5-1.2 from rawhide solved the problem.

Comment 10 Jeff Johnston 2009-08-28 20:53:02 UTC
Approved.

Comment 11 Andrew Overholt 2009-08-28 21:00:16 UTC
New Package CVS Request
=======================
Package Name: plexus-naming
Short Description: Plexus Naming Component
Owners: overholt, akurtakov
Branches: 
InitialCC:

Comment 12 Kevin Fenzi 2009-08-29 03:18:51 UTC
cvs done.

Comment 13 Andrew Overholt 2009-08-31 18:58:26 UTC
Built:

http://koji.fedoraproject.org/koji/buildinfo?buildID=130003


Note You need to log in before you can comment on or make changes to this bug.